$(document).ready(function(){

    var promos = $('.shuffle-promo'),
        groups = [];
    _.each(promos, function(promo){
        var promo_group = $(promo).data('shuffle_group');
        if(groups[promo_group] === undefined) {
            groups.push(promo_group);
        }
    });

    if(groups.length > 0) {
        _.each(groups, function (group) {
           $('.shuffle-promo[data-shuffle_group="'+group+'"]').shuffle();
        });
    }


});